<?php

namespace Mine\SeekerBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * GridRow
 *
 * @ORM\Table(name="grid_row")
 * @ORM\Entity(repositoryClass="Mine\SeekerBundle\Repository\GridRowRepository")
 */
class GridRow
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var Grid
     *
     * @ORM\ManyToOne(targetEntity="Mine\SeekerBundle\Entity\Grid", inversedBy="gridRow", cascade={"persist"})
     * @ORM\JoinColumn(name="grid", referencedColumnName="id", onDelete="CASCADE")
     */
    private $grid;

    /**
     * @var array
     *
     * @ORM\Column(name="grid_col", type="json_array", nullable=false)
     */
    private $gridCol;


    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set gridCol
     *
     * @param array $gridCol
     *
     * @return GridRow
     */
    public function setGridCol($gridCol)
    {
        $this->gridCol = $gridCol;

        return $this;
    }

    /**
     * Get gridCol
     *
     * @return array
     */
    public function getGridCol()
    {
        return $this->gridCol;
    }

    /**
     * Set grid
     *
     * @param Grid $grid
     *
     * @return GridRow
     */
    public function setGrid(Grid $grid = null)
    {
        $this->grid = $grid;

        return $this;
    }

    /**
     * Get grid
     *
     * @return Grid
     */
    public function getGrid()
    {
        return $this->grid;
    }
}
